when:
  - event: push

steps:
  - name: Build & Push
    image: git.baalajimaestro.me/baalajimaestro/build-runner
    commands:
      - /dockerd-entrypoint.sh dockerd 2&> /dev/null &
      - echo $DOCKER_PASSWORD | docker login git.baalajimaestro.me --username ${CI_REPO_OWNER} --password-stdin
      - make build-image
      - docker tag traefik/traefik git.baalajimaestro.me/baalajimaestro/traefik:latest
      - docker push git.baalajimaestro.me/baalajimaestro/traefik:latest
    secrets: [ docker_password ]
    privileged: true